Recommended update for rubygem-mail

SUSE Recommended Update: Recommended update for rubygem-mail
Announcement ID: SUSE-RU-2019:3210-1
Rating: moderate
References: #1156721
Affected Products:
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15
  • SUSE Linux Enterprise High Availability 15-SP1
  • SUSE Linux Enterprise High Availability 15

An update that has one recommended fix can now be installed.

Description:

This update for rubygem-mail fixes the following issues:
Compatibility fixes:

  • Restore conversions for properly encoded non-binary emails.
  • Gracefully parse certain invalid Content-Type headers. (rafbm)

Bug fixes:
  • Fix transfer encoding when message encoding is blank. (bsc#1156721)
  • Fix 7bit/base64 content transfer encoding mismatch. (bsc#1156721)
  • Fix UTF-8 attachment filename quoting. (bsc#1156721)
  • Fix 'delete_all' using a readonly IMAP connection. (bsc#1156721)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2019-3210=1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-2019-3210=1
  • SUSE Linux Enterprise High Availability 15-SP1:
    zypper in -t patch SUSE-SLE-Product-HA-15-SP1-2019-3210=1
  • SUSE Linux Enterprise High Availability 15:
    zypper in -t patch SUSE-SLE-Product-HA-15-2019-3210=1

Package List:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (aarch64 ppc64le s390x x86_64):
    • ruby2.5-rubygem-mail-doc-2.7.1-3.3.1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (aarch64 ppc64le s390x x86_64):
    • ruby2.5-rubygem-mail-doc-2.7.1-3.3.1
  • SUSE Linux Enterprise High Availability 15-SP1 (aarch64 ppc64le s390x x86_64):
    • ruby2.5-rubygem-mail-2.7.1-3.3.1
  • SUSE Linux Enterprise High Availability 15 (aarch64 ppc64le s390x x86_64):
    • ruby2.5-rubygem-mail-2.7.1-3.3.1

References: